'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.restrictTo = restrictTo;
exports.restrictPath = restrictPath;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _webError = require('web-error');

var _webError2 = _interopRequireDefault(_webError);

var _constantsRedirectCode = require('../constants/RedirectCode');

var _constantsRedirectCode2 = _interopRequireDefault(_constantsRedirectCode);

exports.RedirectCode = _constantsRedirectCode2['default'];

function restrictTo(domain) {
  var code = arguments.length <= 1 || arguments[1] === undefined ? _constantsRedirectCode2['default'].TEMPORARY : arguments[1];

  return function (req, res, next) {
    if (req.hostname === domain) {
      return next();
    }

    var newUrl = req.protocol + '://' + domain + req.originalUrl;
    res.redirect(code, newUrl);
  };
}

function restrictPath(domain, path) {
  return function (req, res, next) {
    if (req.hostname !== domain) {
      return next();
    }

    if (path instanceof RegExp && path.test(req.path)) {
      return next();
    }

    if (path === req.path) {
      return next();
    }

    next(new _webError2['default'](404));
  };
}