'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.regExpPath = regExpPath;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _constantsRedirectCode = require('../constants/RedirectCode');

var _constantsRedirectCode2 = _interopRequireDefault(_constantsRedirectCode);

exports.RedirectCode = _constantsRedirectCode2['default'];

/*
  /^\/(en|sk|it)(\/.*)/
  to '$2'
*/

function regExpPath(pathRegExp, to) {
  var code = arguments.length <= 2 || arguments[2] === undefined ? _constantsRedirectCode2['default'].TEMPORARY : arguments[2];

  if (!(pathRegExp instanceof RegExp)) {
    throw new Error('Path is not regexp');
  }

  return function (req, res, next) {
    if (!pathRegExp.test(req.path)) {
      return next();
    }

    var newPath = req.path.replace(pathRegExp, to);

    res.redirect(newPath, code);
  };
}